Skip to main content

Instance Sandboxes Actions

https://api.losant.com/instances/INSTANCE_ID/sandboxes

Below are the various requests that can be performed against the Instance Sandboxes resource, as well as the expected parameters and the potential responses.

Get

Returns a collection of instance sandboxes

Method And Url

GET https://api.losant.com/instances/INSTANCE_ID/sandboxes

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Instance, all.Instance.bounded, all.Instance.read, all.User, all.User.bounded, all.User.read, instanceSandboxes.*, or instanceSandboxes.get.

Request Path Components

Path ComponentDescriptionExample
INSTANCE_IDID associated with the instance575ec8687ae143cd83dc4a97

Request Query Parameters

NameRequiredDescriptionDefaultExample
summaryExcludeNComma-separated list of summary fields to exclude from user summarysummaryExclude=payloadCount
summaryIncludeNComma-separated list of summary fields to include in user summarysummaryInclude=payloadCount
sortFieldNField to sort the results by. Accepted values are: firstName, lastName, email, id, creationDate, lastSuccessfulLogin, lastFailedLogin, failedLoginCount, lastUpdatedemailsortField=firstName
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
startingAfterIdNExclusive ID from which to begin queryingstartingAfterId=575ec8687ae143cd83dc4a97
endingBeforeIdNExclusive ID at which to end queryingendingBeforeId=575ec8687ae143cd83dc4a97
limitNHow many items to return100limit=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: firstName, lastName, emailfilterField=firstName
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my * instance
includeDeletedNIf the result of the request should also include deleted sandboxes.includeDeleted=true

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/instances/INSTANCE_ID/sandboxes

Successful Responses

CodeTypeDescription
200Instance SandboxesCollection of instance sandboxes

Error Responses

CodeTypeDescription
400ErrorError if malformed request

Schemas

Error

Schema for errors returned by the API

Error Schema

  • {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • {} 3 keys
      • {} 1 key
        • {} 1 key
          • {} 2 keys

        Error Example

        • {} 2 keys
          • "NotFound"
          • "Application was not found"

        Instance Sandboxes

        Schema for a collection of instance associated sandboxes

        Instance Sandboxes Schema

        • {} 3 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • {} 11 keys
            • {} 2 keys
              • {} 2 keys
                • {} 1 key
                  • {} 1 key
                    • {} 2 keys
                      • {} 2 keys
                        • {} 1 key
                          • {} 1 key
                            • {} 1 key
                              • {} 2 keys
                                • {} 1 key

                              Instance Sandboxes Example

                              • {} 7 keys
                                • 2
                                • [] 2 items
                                  • 100
                                  • "575ed70c7ae143cd83dc4aa9"
                                  • "firstName"
                                  • "asc"
                                  • false

                                Was this page helpful?


                                Still looking for help? You can also search the Losant Forums or submit your question there.